NodeRings Docs

Update Prefix

PATCH
/v1/ipam/prefixes/{id}
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Path Parameters

idstring
networkId?string
gateway?string
reservedIps?array<string>
allocationStrategy?string
Default"ALLOCATION_STRATEGY_UNSPECIFIED"
Value in"ALLOCATION_STRATEGY_UNSPECIFIED" | "ALLOCATION_STRATEGY_SEQUENTIAL" | "ALLOCATION_STRATEGY_RANDOM" | "ALLOCATION_STRATEGY_FIRST_AVAILABLE" | "ALLOCATION_STRATEGY_LAST_AVAILABLE"
description?string

Response Body

application/json

curl -X PATCH "https://api.nrings.io/v1/ipam/prefixes/{id}" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}" \  -H "Content-Type: application/json" \  -d '{  "networkId": "string",  "gateway": "string",  "reservedIps": [    "string"  ],  "allocationStrategy": "ALLOCATION_STRATEGY_UNSPECIFIED",  "description": "string"}'
{
  "prefix": {
    "id": "string",
    "cidr": "string",
    "gateway": "string",
    "reservedIps": [
      "string"
    ],
    "allocationStrategy": "ALLOCATION_STRATEGY_UNSPECIFIED",
    "description": "string",
    "networkId": "string",
    "organizationId": "string",
    "metadata": {},
    "timestamps": {
      "createTime": "2019-08-24T14:15:22Z",
      "updateTime": "2019-08-24T14:15:22Z"
    },
    "vmAssignmentPrefixLength": 0,
    "reservedPrefixes": [
      "string"
    ]
  }
}